summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Vijay Marcel <vijaymarcel@outlook.com>2022-09-04 04:20:40 +0100
committer Dave Woodfall <dave@slackbuilds.org>2022-09-04 04:20:40 +0100
commit9ce548f5092bf0132fea44f99824bde8c8d3ae25 (patch)
treeed1760a115f036aff801d359b4378ba2cc34442e
parent97f34be53486b412e41f03eef0a55e9c34b1d4a8 (diff)
downloadslackbuilds-9ce548f5092bf0132fea44f99824bde8c8d3ae25.tar.gz
slackbuilds-9ce548f5092bf0132fea44f99824bde8c8d3ae25.tar.xz
multimedia/acetoneiso: Added (CD/DVD Image Manipulator)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org>
-rw-r--r--multimedia/acetoneiso/README18
-rw-r--r--multimedia/acetoneiso/acetoneiso.SlackBuild117
-rw-r--r--multimedia/acetoneiso/acetoneiso.info10
-rw-r--r--multimedia/acetoneiso/doinst.sh13
-rw-r--r--multimedia/acetoneiso/slack-desc19
5 files changed, 177 insertions, 0 deletions
diff --git a/multimedia/acetoneiso/README b/multimedia/acetoneiso/README
new file mode 100644
index 0000000000..d62f62b188
--- /dev/null
+++ b/multimedia/acetoneiso/README
@@ -0,0 +1,18 @@
+AcetoneISO (CD/DVD image manipulator for GNU/Linux)
+
+AcetoneISO is a feature-rich and complete software application
+to manage CD/DVD images. AcetoneISO will let You mount typical
+proprietary images formats of the Windows world such as ISO BIN
+NRG MDF IMG and do plenty of other things.
+
+Some features you can see in /usr/doc/$PRGNAM-$VERSION/FEATURES.
+
+For image conversion you would need PowerISO which can be
+found in https://www.poweriso.com/poweriso-1.3.tar.gz
+extract and put it in $HOME/.acetoneiso
+
+If for some reason cdrtools doesn't work with acetoneiso
+use cdrkit from SBo and uninstall cdrtools.
+
+xorriso comes with Slackware so there is no need to install
+it from AlienBob's repository
diff --git a/multimedia/acetoneiso/acetoneiso.SlackBuild b/multimedia/acetoneiso/acetoneiso.SlackBuild
new file mode 100644
index 0000000000..2ee409de64
--- /dev/null
+++ b/multimedia/acetoneiso/acetoneiso.SlackBuild
@@ -0,0 +1,117 @@
+#!/bin/bash
+
+# Slackware build script for acetoneiso
+
+# Copyright 2016-2020 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# Copyright 2022 Vijay Marcel
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=acetoneiso
+VERSION=${VERSION:-2.4.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86)
+ DEBARCH=i386
+ ARCH=i586
+ ;;
+ x86_64)
+ DEBARCH=amd64
+ ARCH=x86_64
+ ;;
+ # unsupported
+ *)
+ echo "ARCH $( uname -m ) is unsupported"
+ exit 1
+ ;;
+ esac
+else
+ case "$ARCH" in
+ i?86)
+ DEBARCH=i386
+ ;;
+ x86_64)
+ DEBARCH=amd64
+ ;;
+ # unsupported
+ *)
+ echo "$ARCH is unsupported"
+ exit 1
+ ;;
+ esac
+fi
+
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+trap 'echo "$0 FAILED at line $LINENO!" | tee -a $OUTPUT/error-${PRGNAM}.log' ERR
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir -pv $PRGNAM
+cd $PRGNAM
+mv -v $CWD/acetoneiso_2.4-3+b1_amd64.deb $CWD/$PRGNAM-$VERSION.deb
+ar -x $CWD/$PRGNAM-$VERSION.deb
+tar xvf data.tar.xz -C $PKG
+cd $PKG
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mv -v $PKG/usr/share/man $PKG/usr/
+rm -rvf $PKG/usr/share/man
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+mv -v $PKG/usr/share/doc/acetoneiso/* $PKG/usr/doc/$PRGNAM-$VERSION
+rm -rvf $PKG/usr/share/doc/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/multimedia/acetoneiso/acetoneiso.info b/multimedia/acetoneiso/acetoneiso.info
new file mode 100644
index 0000000000..9ceb58f79f
--- /dev/null
+++ b/multimedia/acetoneiso/acetoneiso.info
@@ -0,0 +1,10 @@
+PRGNAM="acetoneiso"
+VERSION="2.4.3"
+HOMEPAGE="https://packages.debian.org/bullseye/acetoneiso"
+DOWNLOAD="http://http.us.debian.org/debian/pool/main/a/acetoneiso/acetoneiso_2.4-3+b1_i386.deb"
+MD5SUM="ec4e63fbe75beedc13a1447f72e5e2f2"
+DOWNLOAD_x86_64="http://http.us.debian.org/debian/pool/main/a/acetoneiso/acetoneiso_2.4-3+b1_amd64.deb"
+MD5SUM_x86_64="24ea0feccc4607457cde50163303c74e"
+REQUIRES="fuseiso p7zip youtube-dl"
+MAINTAINER="Vijay Marcel"
+EMAIL="vijaymarcel@outlook.com"
diff --git a/multimedia/acetoneiso/doinst.sh b/multimedia/acetoneiso/doinst.sh
new file mode 100644
index 0000000000..aea0f894eb
--- /dev/null
+++ b/multimedia/acetoneiso/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/multimedia/acetoneiso/slack-desc b/multimedia/acetoneiso/slack-desc
new file mode 100644
index 0000000000..697a1982ff
--- /dev/null
+++ b/multimedia/acetoneiso/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+acetoneiso: acetoneiso (CD/DVD Image Manipulator for GNU/Linux)
+acetoneiso:
+acetoneiso: AcetoneISO is a feature rich and complete software solution
+acetoneiso: to manage CD/DVD images. It will let you mount proprietary
+acetoneiso: image formats such as ISO,NRG,MDF,BIN,IMG and do plenty of
+acetoneiso: other things.
+acetoneiso:
+acetoneiso: Homepage:https://packages.debian.org/bullseye/acetoneiso
+acetoneiso:
+acetoneiso:
+acetoneiso: